Debian Bug report logs - #664078
transition: tokyocabinet

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Tobias Frost <tobi@coldtobi.de>

Date: Thu, 15 Mar 2012 14:09:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Thu, 15 Mar 2012 14:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@coldtobi.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 15 Mar 2012 14:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@coldtobi.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: tokyocabinet
Date: Thu, 15 Mar 2012 15:06:59 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Dear Release Team,

I'd like to ask you to support me in the transistion from the library tokyocabinet from
libtokyocabinet8 to libtokyocabinet9
(Please note that this is my first transistion, so please be patient with me)

During the preparation of the new library version, I built all reverse dependencies (list below) successfully without any FTBFS.

Hoping to get bin lingo right, it should be:

Affected: .build-depends ~ /libtokyocabinet-dev/
Good: .depends ~ /libtokyocabinet9/
Bad: .depends ~ /libtokyocabinet8/

Please schedule binNMUs for all the above mentioned packages on all architectures.
Thank you

Best regards,
Tobias Frost

apt-cache rdepends libtokyocabinet8
libtokyocabinet8
Reverse Depends:
  libghc-tokyocabinet-dev
  tokyocabinet-bin
  libtokyocabinet-dev
  libtokyocabinet-dbg
  ruby-tokyocabinet
  tokyotyrant
  tokyotyrant-utils
  libtokyotyrant3
  tokyocabinet-bin
  libtokyocabinet-dev
  libtokyocabinet-dbg
  libtokyocabinet-ruby1.9.1
  libtokyocabinet-ruby1.8
  libghc6-tokyocabinet-dev
  swordfish
  php5-tokyo-tyrant
  mutt
  mutt-patched
  libtokyocabinet-perl
  bogofilter-tokyocabinet
  tokyotyrant-utils
  tokyotyrant
  libtokyotyrant3
  libghc-tokyocabinet-dev
  ruby-tokyocabinet
  python-pytc-dbg
  python-pytc
  php5-tokyo-tyrant
  mutt-patched
  mutt
  libtokyocabinet-perl
  kumofs
  python-imposm
  bogofilter-tokyocabinet



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.1.4 (SMP w/3 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Thu, 15 Mar 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 15 Mar 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 664078@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Tobias Frost <tobi@coldtobi.de>, 664078@bugs.debian.org
Subject: Re: Bug#664078: transition: tokyocabinet
Date: Fri, 16 Mar 2012 00:04:06 +0100
[Message part 1 (text/plain, inline)]
On Thu, Mar 15, 2012 at 15:06:59 +0100, Tobias Frost wrote:

> I'd like to ask you to support me in the transistion from the library tokyocabinet from
> libtokyocabinet8 to libtokyocabinet9
> (Please note that this is my first transistion, so please be patient with me)
> 
You're supposed to ask *before* uploading, so we can avoid bad
interactions between different transitions.  Like, say, getting php 5.4
entangled with a new tokyocabinet (not so random example).  Anyway...

> During the preparation of the new library version, I built all reverse dependencies (list below) successfully without any FTBFS.
> 
> Hoping to get bin lingo right, it should be:
> 
> Affected: .build-depends ~ /libtokyocabinet-dev/
> Good: .depends ~ /libtokyocabinet9/
> Bad: .depends ~ /libtokyocabinet8/
> 
Added to release.debian.org/transitions/, thanks.

> Please schedule binNMUs for all the above mentioned packages on all architectures.

Scheduled for:
bogofilter imposm libtokyocabinet-perl mutt python-pytc tokyotyrant

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 15 Mar 2012 23:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Wed, 21 Mar 2012 09:40:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 21 Mar 2012 09:40:09 GMT) Full text and rfc822 format available.

Message #17 received at 664078@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: 664078@bugs.debian.org
Date: Wed, 21 Mar 2012 10:30:27 +0100
Hallo Julian,

thanks for the NMUs!

However, (for me to learn), what are the reaaons not to schedule it for
the oether packages, like kumofs, ruby-tokyocabinet,
tokyocabinet-haskell?

> Please schedule binNMUs for all the above mentioned packages on all
architectures.

Scheduled for:
bogofilter imposm libtokyocabinet-perl mutt python-pytc tokyotyrant

Tobias




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Wed, 21 Mar 2012 20:30:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 21 Mar 2012 20:30:15 GMT) Full text and rfc822 format available.

Message #22 received at 664078@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Tobias Frost <tobi@frost.de>, 664078@bugs.debian.org
Subject: Re: Bug#664078:
Date: Wed, 21 Mar 2012 21:29:07 +0100
[Message part 1 (text/plain, inline)]
On Wed, Mar 21, 2012 at 10:30:27 +0100, Tobias Frost wrote:

> Hallo Julian,
> 
I assume that refers to me...

> thanks for the NMUs!
> 
> However, (for me to learn), what are the reaaons not to schedule it for
> the oether packages, like kumofs, ruby-tokyocabinet,
> tokyocabinet-haskell?
> 
kumofs has #620647 and #640602.
ruby-tokyocabinet has #655860.
tokyocabinet-haskell has haskell in it.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Fri, 23 Mar 2012 08:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to coldtobi <tobi@coldtobi.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 23 Mar 2012 08:12:06 GMT) Full text and rfc822 format available.

Message #27 received at 664078@bugs.debian.org (full text, mbox):

From: coldtobi <tobi@coldtobi.de>
To: Debian Bug Tracking System <664078@bugs.debian.org>
Subject: Re: transition: tokyocabinet
Date: Fri, 23 Mar 2012 09:09:36 +0100
Package: release.debian.org
Followup-For: Bug #664078

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hallo

#655860 is now gone, it needed only a give-back due to a bug in libtokyocabinet at the time this was built.
Please schedule a binNMU for it.

Thanks

Tobias


PS: Julien: I'm sorry about my typo in your name


- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9sL8AACgkQvyUNygvkuQLYZQCcCDhPxbtczfX33Jbww+i7pqHI
PjsAnAp2fLFVcQQnh9G926wD1Jze58eI
=Ney2
-----END PGP SIGNATURE-----




Added blocking bug(s) of 664078: 620637 Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Sat, 24 Mar 2012 15:28:34 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 664078: 620647 Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Sat, 24 Mar 2012 15:28:37 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 664078: 640602 Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Sat, 24 Mar 2012 15:28:40 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 664078: 620637 Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Sat, 24 Mar 2012 15:28:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Mon, 26 Mar 2012 19:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 26 Mar 2012 19:00:06 GMT) Full text and rfc822 format available.

Message #40 received at 664078@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: coldtobi <tobi@coldtobi.de>, 664078@bugs.debian.org
Subject: Re: Bug#664078: transition: tokyocabinet
Date: Mon, 26 Mar 2012 20:56:28 +0200
[Message part 1 (text/plain, inline)]
On Fri, Mar 23, 2012 at 09:09:36 +0100, coldtobi wrote:

> #655860 is now gone, it needed only a give-back due to a bug in libtokyocabinet at the time this was built.
> Please schedule a binNMU for it.
> 
Done.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 664078: 665363 Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Tue, 27 Mar 2012 19:15:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 664078: 660717 Request was from Tobias Frost <tobi@coldtobi.de> to control@bugs.debian.org. (Tue, 27 Mar 2012 19:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Tue, 27 Mar 2012 19:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 27 Mar 2012 19:27:09 GMT) Full text and rfc822 format available.

Message #49 received at 664078@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 664078@bugs.debian.org
Subject: Re: transition: tokyocabinet
Date: Tue, 27 Mar 2012 20:22:47 +0100
Hi,

#660717 was not introduced by tokycabinet, but due to the new sqlite3
being in the archive when bogofilter was rebuilt.  Hence the
bogofilter-tokycabinet binary package builds+tests fine, but only the
bogofilter-sqlite binary package FTBFS.

In principle I don't see why this should be holding up a tokyocabinet
transition, so if there is some means for the release managers to
ignore/override it, I think that should be considered.

Being able to get the sqlite3 issue fixed would of course be nice too :)

Thank you,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Tue, 27 Mar 2012 19:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 27 Mar 2012 19:45:11 GMT) Full text and rfc822 format available.

Message #54 received at 664078@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Steven Chamberlain <steven@pyro.eu.org>, 664078@bugs.debian.org
Subject: Re: Bug#664078: transition: tokyocabinet
Date: Tue, 27 Mar 2012 20:43:44 +0100
On Tue, 2012-03-27 at 20:22 +0100, Steven Chamberlain wrote:
> #660717 was not introduced by tokycabinet, but due to the new sqlite3
> being in the archive when bogofilter was rebuilt.  Hence the
> bogofilter-tokycabinet binary package builds+tests fine, but only the
> bogofilter-sqlite binary package FTBFS.

Source packages either build on an architecture, or they don't.  They
won't migrate to testing unless all of the binaries they should build
have been built by the latest revision.

One can't take the binNMUed package for bogofilter-tokyocabinet and
combine it with the older bogofilter-sqlite  binary package (quite aside
from anything else, the former doesn't actually exist because the binNMU
FTBFS).

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Wed, 04 Apr 2012 14:06:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Apr 2012 14:06:24 GMT) Full text and rfc822 format available.

Message #59 received at 664078@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: 666004@bugs.debian.org, 620647@bugs.debian.org, 664078@bugs.debian.org
Cc: control <control@bugs.debian.org>
Date: Wed, 04 Apr 2012 16:04:43 +0200
[Message part 1 (text/plain, inline)]
clone 666004 
block 666004 by -1
block 664078 by -1
block 664078 by 666004
reassign -1 ftp.debian.org
retitle -1 RM: kumofs on s390x/sparc (blocks transition of tokyocabinet)
severity -1 normal
thanks


Dear ftp-team,

Please remove kumofs for sparc and s390x.

kumofs is currently uninstallable on s390x and sparc due to a missing
run time dependency on those architectures. (See #620647 for details).

The problem of 620647 is, that this blocks the current transition of
libtokyocabinet. (I'm the maintainer of this package.) 

In course of a preparation of a NMU to fix 620647 and bring the
transistion forward, I asked for advice on debian-mentors and together
we worked out the following two-step strategy:
-- 1) Add an "artificial B-D" against libmsgpack-ruby1.8 to ensure that
the package is only built on the archs which have the runtime binaries
available. 
-- 2) Remove the offending packages from the archives.  

#1 has been done by the maintainter after announcing my NMU intention,
but unfortuantly he did not request removal up to now.

So I am now filing (as announced in 666004) this bug to request an "NMU
removal" for kumofs on sparc and s390x.

kumofs never entered testing, and (as said) uninstallable on
sparc/s390x, so there will be no impact for the users.

Also, as soons as the run time dependency gets available, kumofs will
automatically built for those archs again. 

Best regards,
Tobias Frost.


[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 664078: 666004 Request was from Tobias Frost <tobi@frost.de> to control@bugs.debian.org. (Wed, 04 Apr 2012 14:06:30 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 664078: 667507 Request was from Tobias Frost <tobi@frost.de> to control@bugs.debian.org. (Wed, 04 Apr 2012 14:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Wed, 04 Apr 2012 19:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Apr 2012 19:45:07 GMT) Full text and rfc822 format available.

Message #68 received at 664078@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Tobias Frost <tobi@frost.de>, 664078@bugs.debian.org
Cc: 666004@bugs.debian.org, 620647@bugs.debian.org, ftp.debian.org@packages.debian.org
Subject: Re: Bug#664078:
Date: Wed, 4 Apr 2012 21:43:09 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr  4, 2012 at 16:04:43 +0200, Tobias Frost wrote:

> Please remove kumofs for sparc and s390x.
> 
> kumofs is currently uninstallable on s390x and sparc due to a missing
> run time dependency on those architectures. (See #620647 for details).
> 
Does anything prevent the uninstallable packages from getting rebuilt
on the next upload after they've been removed?  If not then that should
be fixed before asking for any removal.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Wed, 04 Apr 2012 21:45:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Apr 2012 21:46:01 GMT) Full text and rfc822 format available.

Message #73 received at 664078@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 664078@bugs.debian.org, 666004@bugs.debian.org, 620647@bugs.debian.org, ftp.debian.org@packages.debian.org
Subject: Re: Bug#664078:
Date: Wed, 04 Apr 2012 23:43:37 +0200
Hallo Julien,

Yes, a rebuild is prevented:
 
kumofs (0.4.13-2) unstable; urgency=low
[ Tobias Frost ]
   * Add B-D on libmsgpack-ruby1.8 and libmsgpack-ruby1.9 to avoid building on
     archs where those packages are not installable. (Closes: 620647)

coldtobi

Am Mittwoch, den 04.04.2012, 21:43 +0200 schrieb Julien Cristau:
> On Wed, Apr  4, 2012 at 16:04:43 +0200, Tobias Frost wrote:
> 
> > Please remove kumofs for sparc and s390x.
> > 
> > kumofs is currently uninstallable on s390x and sparc due to a missing
> > run time dependency on those architectures. (See #620647 for details).
> > 
> Does anything prevent the uninstallable packages from getting rebuilt
> on the next upload after they've been removed?  If not then that should
> be fixed before asking for any removal.
> 
> Cheers,
> Julien





Removed blocking bug(s) of 664078: 666004 and 667507 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 13:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Mon, 09 Apr 2012 13:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Apr 2012 13:24:09 GMT) Full text and rfc822 format available.

Message #80 received at 664078@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Tobias Frost <tobi@coldtobi.de>, 664078@bugs.debian.org
Subject: Re: Bug#664078: transition: tokyocabinet
Date: Mon, 9 Apr 2012 15:20:22 +0200
[Message part 1 (text/plain, inline)]
On Thu, Mar 15, 2012 at 15:06:59 +0100, Tobias Frost wrote:

> I'd like to ask you to support me in the transistion from the library tokyocabinet from
> libtokyocabinet8 to libtokyocabinet9
> 
libtokyocabinet9 is now in testing.  Remaining blockers to get
libtokyocabinet8 removed are:
- bogofilter FTBFS
- tokyocabinet-haskell waiting on the rest of the haskell world

I'll probably end up removing tokyocabinet-haskell.  Not sure yet what
to do with bogofilter.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Wed, 11 Apr 2012 06:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Apr 2012 06:12:04 GMT) Full text and rfc822 format available.

Message #85 received at 664078@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 664078@bugs.debian.org, Steven Chamberlain <steven@pyro.eu.org>, gcs@debian.org
Subject: Re: Bug#664078: transition: tokyocabinet
Date: Wed, 11 Apr 2012 08:07:54 +0200
Hallo Julien,

seems that bogofilter can be fixed soon, it seems that Steven found an
workaround in the sqlite3 library. (See #665363)

So it seems like a few more days and/or NMU'ing sqlite.
(CC'ing the maintainer of sqlite3 to hint him ;-) ....)

Tobias

Am Montag, den 09.04.2012, 15:20 +0200 schrieb Julien Cristau:
> On Thu, Mar 15, 2012 at 15:06:59 +0100, Tobias Frost wrote:
> 
> > I'd like to ask you to support me in the transistion from the library tokyocabinet from
> > libtokyocabinet8 to libtokyocabinet9
> > 
> libtokyocabinet9 is now in testing.  Remaining blockers to get
> libtokyocabinet8 removed are:
> - bogofilter FTBFS
> - tokyocabinet-haskell waiting on the rest of the haskell world
> 
> I'll probably end up removing tokyocabinet-haskell.  Not sure yet what
> to do with bogofilter.
> 
> Cheers,
> Julien





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Sun, 29 Apr 2012 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 29 Apr 2012 17:09:04 GMT) Full text and rfc822 format available.

Message #90 received at 664078@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Tobias Frost <tobi@frost.de>, 664078@bugs.debian.org
Cc: Steven Chamberlain <steven@pyro.eu.org>, gcs@debian.org, 665363@bugs.debian.org
Subject: Re: Bug#664078: transition: tokyocabinet
Date: Sun, 29 Apr 2012 19:05:25 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr 11, 2012 at 08:07:54 +0200, Tobias Frost wrote:

> Hallo Julien,
> 
> seems that bogofilter can be fixed soon, it seems that Steven found an
> workaround in the sqlite3 library. (See #665363)
> 
> So it seems like a few more days and/or NMU'ing sqlite.

What's up with that?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#664078; Package release.debian.org. (Mon, 30 Apr 2012 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laszlo Boszormenyi <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Apr 2012 09:03:07 GMT) Full text and rfc822 format available.

Message #95 received at 664078@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi <gcs@debian.hu>
To: Julien Cristau <jcristau@debian.org>, 664078@bugs.debian.org
Cc: Tobias Frost <tobi@frost.de>, Steven Chamberlain <steven@pyro.eu.org>, 665363@bugs.debian.org
Subject: Re: Bug#664078: transition: tokyocabinet
Date: Mon, 30 Apr 2012 10:52:43 +0200
[Message part 1 (text/plain, inline)]
Hi Julien,

On Sun, 2012-04-29 at 19:05 +0200, Julien Cristau wrote:
> On Wed, Apr 11, 2012 at 08:07:54 +0200, Tobias Frost wrote:
> > seems that bogofilter can be fixed soon, it seems that Steven found an
> > workaround in the sqlite3 library. (See #665363)
> What's up with that?
 The "bug" lies in SQLite3, in commit 2e8ab3cedf [1]. As src/mem1.c
adds malloc_usable_size() to sqlite3MemSize() to get the available
memory to use. On my amd64 system, malloc() calls are rounded up to n*24
bytes and that size may be usable. However as the manpage states:
"Returns  the  number  of  bytes  available in the dynamically
allocated  buffer  ptr,  which  may  be  greater than  the requested
size  (but  is  guaranteed  to  be at least as large, if the request was
successful).  Typically, you  should  store  the  requested allocation
size rather than use this function."

So in general nothing is wrong if you use the size reported by this
function. However when you set MALLOC_CHECK_ to 1 or 2, glibc enforces
the requested size. This is where the problem lies. SQLite3 use the
memory normally, a bit larger size than originally requested but not
more than the maximum available. This is normal and doesn't cause memory
corruption. But when asked via the MALLOC_CHECK_ setting, glibc detects
the difference and issue a warning only (=1) or aborts (=2).
Bogofilter asks for this check in src/tests/t.frame in line 173 and 174.
It may be debatable where to fix this. Do not set glibc malloc
enforcement in Bogofilter or disable this memory use in SQLite3 itself.
Let's go on with the latter.

By the way, attached a small example that demonstrates this problem on
64 bit archs. Compile with 'gcc -o check check.c' and run check with
MALLOC_CHECK_ set to 0 and later set to 2.

Regards,
Laszlo/GCS
[1] http://www.sqlite.org/src/info/2e8ab3cedf
[check.c (text/x-csrc, attachment)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 30 Apr 2012 22:21:05 GMT) Full text and rfc822 format available.

Notification sent to Tobias Frost <tobi@coldtobi.de>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 22:21:06 GMT) Full text and rfc822 format available.

Message #100 received at 664078-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Tobias Frost <tobi@coldtobi.de>, 664078-done@bugs.debian.org
Subject: Re: Bug#664078: transition: tokyocabinet
Date: Tue, 1 May 2012 00:18:35 +0200
[Message part 1 (text/plain, inline)]
On Mon, Apr  9, 2012 at 15:20:22 +0200, Julien Cristau wrote:

> On Thu, Mar 15, 2012 at 15:06:59 +0100, Tobias Frost wrote:
> 
> > I'd like to ask you to support me in the transistion from the library tokyocabinet from
> > libtokyocabinet8 to libtokyocabinet9
> > 
> libtokyocabinet9 is now in testing.  Remaining blockers to get
> libtokyocabinet8 removed are:
> - bogofilter FTBFS
> - tokyocabinet-haskell waiting on the rest of the haskell world
> 
> I'll probably end up removing tokyocabinet-haskell.  Not sure yet what
> to do with bogofilter.
> 
Done the former.  sqlite3 got fixed so bogofilter got built.  This means
libtokyocabinet8 is now gone.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 29 May 2012 07:42:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:25:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.